%global momorel 1
%global md5sum_src0 11db63a72bd3b510fd2fa7ae48086979
%global qtver 3.3.3.5
%global qtdir %{_libdir}/qt3

Summary: A documentation system for C and C++.
Name: doxygen
Version: 1.4.7
Release: %{momorel}m
%NoSource 0 ftp://ftp.stack.nl/pub/users/dimitri/doxygen-%{version}.src.tar.gz %{md5sum_src0}

Patch0: doxygen-1.2.7-redhat.patch
Patch1: doxygen-1.2.12-qt2.patch
Patch2: doxygen-1.2.18-libdir.patch
#Patch3: doxygen-1.4.5-qtools.patch
Patch4: doxygen-1.4.5-man.patch
#Patch5: doxygen-1.4.6-crash.patch

Group: Development/Tools
License: GPL
URL: http://www.stack.nl/~dimitri/doxygen/
Prefix: %{_prefix}
BuildPrereq: libstdc++-devel >= 3.4.1-1m, perl, qt-devel >= 3.3.3-2m, tetex >= 2.0.2-18m
BuildPrereq: ghostscript >= 7.07-14m
BuildRequires: libpng-devel >= 1.2.2
BuildRoot: %{_tmppath}/%{name}-%{version}-root
# need php4 for search engine
Requires: php >= 4.1.0

%description
Doxygen is a documentation system for C and C++.  Doxygen can generate
an on-line class browser (in HTML) and/or a reference manual (in
LaTeX) from a set of documented source files. The documentation is
extracted directly from the sources.  Doxygen can be configured to
extract the code structure from undocumented source files.

%package doxywizard
Summary: a GUI front-end for creating and editing configuration files
Group: User Interface/X
BuildPrereq: qt-devel >= %{qtver}, libpng-devel >= 1.2.0
Requires: %{name} = %{version}

%description doxywizard
Doxywizard is a GUI front-end for creating and editing
configuration files that are used by doxygen.

%prep
%setup -q
%patch0 -p1 -b .redhat
%patch1 -p1 -b .qt2

%if "%{_lib}" != "lib"
%patch2 -p1 -b .libdir
%endif

#%%patch3 -p0 -b .qttool
%patch4 -p1 -b .man
#%%patch5 -p1 -b .crash

%build
export QTDIR=%{qtdir}
export OLD_PO_FILE_INPUT=yes

./configure --prefix %{_prefix} --docdir %{_mandir} --shared --release --with-doxywizard
CFLAGS="%{optflags} -fno-exceptions" CXXFLAGS="%{optflags} -fno-exceptions
-DQT_NO_CODECS -DQT_LITE_UNICODE " %make all docs

%install
rm -rf --preserve-root %{buildroot}

export OLD_PO_FILE_INPUT=yes
%makeinstall INSTALL=%{buildroot}%{_prefix}

%clean
rm -rf --preserve-root %{buildroot}

%files
%defattr(-,root,root)
%doc LANGUAGE.HOWTO README examples html
%{_bindir}/doxygen
%{_bindir}/doxytag
%{_mandir}/man1/doxygen.1.bz2
%{_mandir}/man1/doxytag.1.bz2

%files doxywizard
%defattr(-,root,root)
%{_bindir}/doxywizard
%{_mandir}/man1/doxywizard.1.bz2

%changelog
* Sun Jun 18 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (1.4.7-1m)
- update to 1.4.7
- do not apply patch3 and patch5 because no longer needed

* Tue Jun  6 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.4.6-1m)
- update to 1.4.6

* Sat Dec 24 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (1.4.5-1m)
- ver up.
- add Patch4: doxygen-1.4.5-man.patch
- enable gcc-4.1
- - Patch3: doxygen-1.4.5-qtools.patch

* Wed Mar  9 2005 Toru Hoshina <t@momonga-linux.org>
- (1.3.9.1-1m)
- ver up.

* Sun Jan 23 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (1.3.4-3m)
- enable x86_64.
  add doxygen-1.3.4-lib64.patch patch.

* Fri Aug 13 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (1.3.4-2m)
- rebuild against libstdc++-3.4.1

* Tue Nov 11 2003 Shotaro Kamio <skamio@momonga-linux.org>
- (1.3.4-1m)
- update to 1.3.4
- add a patch to avoid segfault on indexing japanese source files

* Sat Jul 26 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (1.3.3-1m)
- update to 1.3.3

* Mon Jun 16 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (1.3.2-1m)
- update to 1.3.2

* Tue Jun  5 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (1.3-3m)
- add BuildPrereq: tetex

* Wed May 28 2003 zunda <zunda at freeshell.org>
- (1.3-2m)
- add --install=/usr/bin/install to configure: /usr/bin/install from
  coreutils is not recognized as a GNU install

* Sun Apr 13 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (1.3-1m)
  update to 1.3

* Tue Mar 25 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (1.3-0.0.3.2m)
- change %%{qtdir} to /usr/lib/qt3 and BuildPreReq: qt >= %%{qtver}

* Sat Mar  8 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.3-0.0.3.1m)
- 1.3-rc3

* Sun May 12 2002 Toru Hoshina <t@kondara.org>
- (1.2.15-2k)
- ver up.

* Sat Apr 20 2002 Kazuhiko <kazuhiko@kondara.org>
- (1.2.11.1-8k)
- rebuild against libpng-1.2.2

* Mon Mar 25 2002 Toru Hoshina <t@kondara.org>
- (1.2.11.1-6k)
- rebuild against qt2 2.3.1 :-P

* Wed Nov 28 2001 Toru Hoshina <t@kondara.org>
- (1.2.11.1-4k)
- rebuild against qt 2.3.2.

* Mon Nov  5 2001 Shingo Akagaki <dora@kondara.org>
- (1.2.11.1-2k)
- version 1.2.11.1

* Mon Oct 15 2001 Toru Hoshina <t@kondara.org>
- (1.2.9.1-6k)
- rebuild against libpng 1.2.0.

* Fri Aug 31 2001 Motonobu Ichimura <famao@kondara.org>
- (1.2.9.1-5k)
- rebuild against qt-2.3.1
- add BuildPrereq qt = %{qtver}

* Tue Aug 21 2001 Shingo Akagaki <dora@digitalfactory.co.jp>
- version 1.2.9.1

* Sat Jul  7 2001 Toru Hoshina <toru@df-usa.com>
- (1.2.8.1-3K)

* Wed Jun 13 2001 Than Ngo <than@redhat.com>
- update tp 1.2.8.1
- make doxywizard as separat package
- fix to use install as default

* Tue Jun 05 2001 Than Ngo <than@redhat.com>
- update to 1.2.8

* Tue May 01 2001 Than Ngo <than@redhat.com>
- update to 1.2.7
- clean up specfile
- patch to use RPM_OPT_FLAG

* Wed Mar 14 2001 Jeff Johnson <jbj@redhat.com>
- update to 1.2.6

* Wed Feb 28 2001 Trond Eivind Glomsr?<teg@redhat.com>
- rebuild

* Tue Dec 26 2000 Than Ngo <than@redhat.com>
- update to 1.2.4
- remove excludearch ia64
- bzip2 sources

* Mon Dec 11 2000 Than Ngo <than@redhat.com>
- rebuild with the fixed fileutils

* Mon Oct 30 2000 Jeff Johnson <jbj@redhat.com>
- update to 1.2.3.

* Sun Oct  8 2000 Jeff Johnson <jbj@redhat.com>
- update to 1.2.2.
- enable doxywizard.

* Sat Aug 19 2000 Preston Brown <pbrown@redhat.com>
- 1.2.1 is latest stable, so we upgrade before Winston is released.

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jul  4 2000 Jakub Jelinek <jakub@redhat.com>
- Rebuild with new C++

* Fri Jun 30 2000 Florian La Roche <laroche@redhat.de>
- fix QTDIR detection

* Fri Jun 09 2000 Preston Brown <pbrown@redhat.com>
- compile on x86 w/o optimization, revert when compiler fixed!!

* Wed Jun 07 2000 Preston Brown <pbrown@redhat.com>
- use newer RPM macros

* Tue Jun  6 2000 Jeff Johnson <jbj@redhat.com>
- add to distro.

* Tue May  9 2000 Tim Powers <timp@redhat.com>
- rebuilt for 7.0

* Wed Feb  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- recompile with current Qt (2.1.0/1.45)

* Wed Jan  5 2000 Jeff Johnson <jbj@redhat.com>
- update to 1.0.0.
- recompile with qt-2.0.1 if available.
- relocatable package.

* Mon Nov  8 1999 Tim Powers <timp@redhat.com>
-updated to 0.49-991106

* Tue Jul 13 1999 Tim Powers <timp@redhat.com>
- updated source
- cleaned up some stuff in the spec file

* Thu Apr 22 1999 Jeff Johnson <jbj@redhat.com>
- Create Power Tools 6.0 package.
